Send an order invoice email
POST https://{handle}.myshopline.com/admin/openapi/v20260901/:order_id/send_order_email.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Send an invoice email for a specified order. Each order is limited to five attempts within one calendar day.
Path Parameters
- order_id string requiredOrder ID.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
- custom_message stringEmail content. If provided, the system will override the
Order Invoice Notificationemail template content with the specified value. If not provided, the system will use theOrder Invoice Notificationemail template content.Maximum length: 1000 - subject stringEmail subject. If provided, the system will override the
Order Invoice Notificationemail template subject with the specified value. If not provided, the system will use theOrder Invoice Notificationemail template subject.Maximum length: 255 - to string requiredThe email of the recipient.Example:
string
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
API Explorer
Debugger
Examples
Was this article helpful to you?